Page MenuHomePhabricator

pack(): Type H: illegal hex digit N
Closed, ResolvedPublic

Description

PHP Warning: pack() [<a href='function.pack'>function.pack</a>]: Type H: illegal hex digit N in /usr/local/apache/common-local/php-1.20wmf12/includes/api/ApiQueryCategoryMembers.php on line 121

// pack( "H*", $foo ) is used to convert hex back to binary
$escSortkey = $this->getDB()->addQuotes( pack( "H*", $cont[1] ) );


Version: unspecified
Severity: normal

Details

Reference
bz40809

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:03 AM
bzimport set Reference to bz40809.
Reedy created this task.Oct 5 2012, 7:24 PM
demon added a comment.Nov 7 2012, 9:26 PM

This has been a problem since roughly around when img-metadata was merged. Try asking Brian.

Change 168818 had a related patch set uploaded by Umherirrender:
Validate cmstarthexsortkey/cmendhexsortkey to be valid hex

https://gerrit.wikimedia.org/r/168818

Change 168818 merged by jenkins-bot:
Validate cmstarthexsortkey/cmendhexsortkey to be valid hex

https://gerrit.wikimedia.org/r/168818